- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# SimpleNumberFormatFactory Class Reference

A NumberFormatFactory that supports a single locale. More...

`#include <numfmt.h>`

Inheritance diagram for SimpleNumberFormatFactory:

## Public Member Functions
| SimpleNumberFormatFactory (const Locale &locale, UBool visible=TRUE)
virtual | ~SimpleNumberFormatFactory ()
virtual UBool | visible (void) const
virtual const UnicodeString * | getSupportedIDs (int32_t &count, UErrorCode &status) const
## Protected Attributes
const UBool | _visible
| True if the locale supported by this factory is visible.
UnicodeString | _id
| The locale supported by this factory, as a UnicodeString.

## Detailed Description

A NumberFormatFactory that supports a single locale.

It can be visible or invisible.

Stable:
  ICU 2.6

Definition at line 804 of file numfmt.h.

## Constructor & Destructor Documentation

SimpleNumberFormatFactory::SimpleNumberFormatFactory | ( | const Locale & | locale,
|  | UBool | visible = `TRUE` |
| ) |  |  |

Stable:
  ICU 2.6

virtual SimpleNumberFormatFactory::~SimpleNumberFormatFactory | ( |  | ) | `[virtual]`

Stable:
  ICU 3.0

## Member Function Documentation

virtual UBool SimpleNumberFormatFactory::visible | ( | void |  | ) | const`[virtual]`

Stable:
  ICU 2.6

Implements NumberFormatFactory.

virtual const UnicodeString* SimpleNumberFormatFactory::getSupportedIDs | ( | int32_t & | count,
|  | UErrorCode & | status |
| ) |  |  | const`[virtual]`

Stable:
  ICU 2.6

Implements NumberFormatFactory.

## Field Documentation

const UBool SimpleNumberFormatFactory::_visible`[protected]`

True if the locale supported by this factory is visible.

Stable:
  ICU 2.6

Definition at line 810 of file numfmt.h.

UnicodeString SimpleNumberFormatFactory::_id`[protected]`

The locale supported by this factory, as a UnicodeString.

Stable:
  ICU 2.6

Definition at line 816 of file numfmt.h.

The documentation for this class was generated from the following file:

- numfmt.h